package com.gic.haoban.manage.web.vo.hm;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/7/1 4:33 PM
 * @Description
 * @Version
 **/
public class HmGroupSettingVO implements Serializable {

    private static final long serialVersionUID = -371589430652512397L;
    @NotEmpty(message = "活码分组名字不能为空")
    @Length(max = 10, message = "分组名称最多10个字符")
    private String groupName;

    private Long groupId;

    private Integer referNum;

    /**
     * 是否为默认分组
     * 1 是默认分组
     * 0 不是默认分组
     */
    private Integer defaultFlag;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Integer getReferNum() {
        return referNum;
    }

    public void setReferNum(Integer referNum) {
        this.referNum = referNum;
    }

    public Integer getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Integer defaultFlag) {
        this.defaultFlag = defaultFlag;
    }
}
